/***************************************************************************
 *  copyright (C) 2005
 *  Umbrello UML Modeller Authors <uml-devel @uml.sf.net>
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AUTOLAYOUTGRAPHVIZAUTOLAYOUTER_H
#define AUTOLAYOUTGRAPHVIZAUTOLAYOUTER_H
#include "baseinclude.h"
#include "autotqlayouteradapter.h"
#include "graphvizgraph.h"

namespace Autotqlayout
{

/**
@author Dimitri Ognibene <ognibened @yahoo.it>
*/
class GraphvizAutotqlayouter : virtual public Autotqlayout::AutotqlayouterAdapter
{
public:
    GraphvizAutotqlayouter();


    virtual void setCompressShapes(bool b);

    virtual void setCenterDiagram(bool b);

    virtual void setShapeSeparation(int i);

    virtual Canvas* setCanvas(UMLView* view);

    virtual ~GraphvizAutotqlayouter();

protected:
    virtual Graph* getGraph(){if (!gg) gg=new GraphvizGraph(); return gg;}

    virtual void run()=0;
    GraphvizGraph* gg;

};

}

#endif
